---
- name: newsboat | Create config directory
  file:
    path: '{{ xdg_dir.config_home }}/newsboat'
    state: directory
    mode: '755'

- name: newsboat | Copy RSS feeds list
  copy:
    src: newsboat/urls
    dest: '{{ xdg_dir.config_home }}/newsboat/urls'
    mode: '600'

- name: newsboat | Copy config
  template:
    src: newsboat/config.j2
    dest: '{{ xdg_dir.config_home }}/newsboat/config'
    mode: '644'
